// Copyright (c) Shenyang Leading Edge Intelligent Technology Co., Ltd. All rights reserved.

package me

import (
	"LAPP_LF_MOM_BACKEND/grmi"
	svr "LAPP_LF_MOM_BACKEND/services/me"
	"github.com/kataras/iris/v12/core/router"
)

/******************************************************************************
 *
 * @Interface Name           : RegisterRoutes
 *-----------------------------------------------------------------------------
 *
 * @Description              : 注册路由
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
func RegisterRoutes() {
	// 模块me路由分组
	grmi.RegisterRouteMapping("/me", func(party router.Party) {

		// Project的路由组
		project := party.Party("/project")
		// Project的服务实例
		var serviceOfProject = svr.NewProjectService()
		// Project插入一条
		RegisterInsertOneProject(project, "/insertone", serviceOfProject.InsertOne)
		// Project插入多条
		// RegisterInsertProject(project, "/insert", serviceOfProject.Insert)
		// Project删除一条
		RegisterDeleteOneProject(project, "/deleteone", serviceOfProject.DeleteOne)
		// Project删除多条
		// RegisterDeleteProject(project, "/delete", serviceOfProject.Delete)
		// Project查询多条
		RegisterSelectProject(project, "/query", serviceOfProject.Select)
		// Project查询一条
		RegisterSelectOneProject(project, "/get", serviceOfProject.SelectOne)
		// Project修改一条
		RegisterUpdateOneProject(project, "/updateone", serviceOfProject.UpdateOne)
		// Project修改多条
		// RegisterUpdateProject(project, "/update", serviceOfProject.Update)

		// SetupMatrix的路由组
		setupmatrix := party.Party("/setupmatrix")
		// SetupMatrix的服务实例
		var serviceOfSetupMatrix = svr.NewSetupMatrixService()
		// SetupMatrix插入一条
		RegisterInsertOneSetupMatrix(setupmatrix, "/insertone", serviceOfSetupMatrix.InsertOne)
		// SetupMatrix插入多条
		// RegisterInsertSetupMatrix(setupmatrix, "/insert", serviceOfSetupMatrix.Insert)
		// SetupMatrix删除一条
		RegisterDeleteOneSetupMatrix(setupmatrix, "/deleteone", serviceOfSetupMatrix.DeleteOne)
		// SetupMatrix删除多条
		// RegisterDeleteSetupMatrix(setupmatrix, "/delete", serviceOfSetupMatrix.Delete)
		// SetupMatrix查询多条
		RegisterSelectSetupMatrix(setupmatrix, "/query", serviceOfSetupMatrix.Select)
		// SetupMatrix查询一条
		RegisterSelectOneSetupMatrix(setupmatrix, "/get", serviceOfSetupMatrix.SelectOne)
		// SetupMatrix修改一条
		RegisterUpdateOneSetupMatrix(setupmatrix, "/updateone", serviceOfSetupMatrix.UpdateOne)
		// SetupMatrix修改多条
		// RegisterUpdateSetupMatrix(setupmatrix, "/update", serviceOfSetupMatrix.Update)
	})
}

/******************************************************************************
 *
 * @Interface Name           : init
 *-----------------------------------------------------------------------------
 *
 * @Description              : 包初始化方法
 *
 * @Author                   : 代码生成器创建
 *
 * @Date                     : 2021-04-14 08:56:34
 *
 ******************************************************************************/
func init() {

	// 注册路由
	RegisterRoutes()
}
